| IOLink 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
iolink::MultiImageView Class Referenceabstract

Interface representing a multi-image view, i.e. More...

`#include <iolink/view/MultiImageView.h>`

Inheritance diagram for iolink::MultiImageView:

## Public Member Functions
virtual MultiImageCapabilitySet | capabilities () const =0
| Return the capabilities of this multi image.
bool | support (MultiImageCapabilitySet flags)
| Checks if the MultiImageView supports the given capabilities.
std::string | toString () const
| Return a string representation.
virtual size_t | frameCount () const
| Returns the number of frames in the set.
virtual std::shared_ptr< ImageView > | frame (size_t index)
| Gets the ith frame of the set.
virtual std::shared_ptr< const MetadataNode > | metadata () const
| Returns the root node of the metadata attached to this multi-image.
virtual void | addFrame (std::shared_ptr< ImageView > newFrame)
| Add a new frame at the end of the set.
virtual void | setFrame (size_t index, std::shared_ptr< ImageView > frame)
| Set the frame at the given index (index must already exist, no allocation)
virtual void | removeFrame (size_t index)
| Remove the ith frame.
virtual void | setMetadata (std::shared_ptr< MetadataNode > metadata)
| Attach a new metadata node to the image.
Public Member Functions inherited from iolink::View
virtual std::shared_ptr< Extension > | extension (size_t id)
| Get an extension of the view, corresponding to the given identifier.
template<typename T >
std::shared_ptr< T > | extension ()
| Get an extension of the view, corresponding to the given type.
std::shared_ptr< ViewOriginExtension > | viewOrigin ()
| Shortcut to access to ViewOrigin extension.

## Detailed Description

Interface representing a multi-image view, i.e.

a stack of ImageView

This interface capabilities are indicated by the MultiImageCapabilitySet returned by the method MultiImageView::capabilities. Each capability enable the use of a specific set of methods. When one of those methods is called, if its corresponding capability is not supported, a NotImplemented exception will be thrown.

See also
  MultiImageCapability

## Member Function Documentation

## ◆ frame()

virtual std::shared_ptr< ImageView > iolink::MultiImageView::frame | ( | size_t | index | ) |
| virtual

Gets the ith frame of the set.

Parameters

  index | the index of the frame in the set

Returns
  the ith frame as ImageView

## ◆ frameCount()

virtual size_t iolink::MultiImageView::frameCount | ( |  | ) | const
| virtual

Returns the number of frames in the set.

Returns
  the number of frames in the set

Exceptions

  Error |
  AccessError |

The documentation for this class was generated from the following file:

- iolink/public/include/iolink/view/MultiImageView.h